# SPDX-License-Identifier: MIT
# Copyright (C) 2023 Maxwell G <maxwell@gtmx.me>

%bcond tests 1

Name:           forge-srpm-macros
Version:        0.4.0^7.20250531.b4a5d46
Release:        1%{?dist}
Summary:        Macros to simplify packaging of forge-hosted projects

License:        GPL-1.0-or-later
URL:            https://git.sr.ht/~gotmax23/forge-srpm-macros
Source0:        forge-srpm-macros-0.4.0^7.20250531.b4a5d46.tar.gz

BuildArch:      noarch

BuildRequires:  make
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pyyaml
# For %%pytest definition
BuildRequires:  python3-rpm-macros
%endif

# We require macros and lua defined in redhat-rpm-config
# We constrain this to the version released after the code was split out that
# doesn't contain the same files.
%if (0%{?fedora} >= 40 || 0%{?rhel} >= 10)
Requires:       redhat-rpm-config >= 266-1
%elif 0%{?fedora} == 39
Requires:       redhat-rpm-config >= 265-1
%else
# For testing purposes on older releases,
# we can depend on any version of redhat-rpm-config.
Requires:       redhat-rpm-config
%endif


%description
%{summary}.


%prep
%autosetup 


%build
%if %{defined epel}
%make_build epel-build
%endif


%install
%make_build \
    DESTDIR=%{buildroot} \
    RPMMACRODIR=%{_rpmmacrodir} RPMLUADIR=%{_rpmluadir} %{?epel:epel-}install


%check
%if %{with tests}
export MACRO_DIR=%{buildroot}%{_rpmmacrodir}
export MACRO_LUA_DIR="%{buildroot}%{_rpmluadir}"
%pytest
%endif


%files
%license LICENSES/GPL-1.0-or-later.txt
%doc README.md NEWS.md
%if %{undefined epel}
%{_rpmluadir}/fedora/srpm/forge.lua
%{_rpmluadir}/fedora/srpm/_forge_util.lua
%{_rpmmacrodir}/macros.forge
%else
%{_rpmluadir}/fedora/srpm/forge_epel.lua
%{_rpmluadir}/fedora/srpm/_forge_epel_util.lua
%{_rpmmacrodir}/macros.zzz-forge_epel
%endif


%changelog
* Sat May 31 2025 Maxwell G <maxwell@gtmx.me> - 0.4.0^7.20250531.b4a5d46-1
- ci: awk -> gawk

* Sat May 31 2025 Maxwell G <maxwell@gtmx.me> - 0.4.0^6.20250531.0450f8f-1
- ci: add missing awk dependency

* Sat May 31 2025 Maxwell G <maxwell@gtmx.me> - 0.4.0^5.20250531.0538cc7-1
- ci: update Fedora versions

* Sat May 31 2025 Maxwell G <maxwell@gtmx.me> - 0.4.0^4.20250531.ca72c7b-1
- forgeversion: make sure nothing is stored in distprefix

* Tue Nov 26 2024 Maxwell G <maxwell@gtmx.me> - 0.4.0^3.20241126.33eaafa-1
- ci copr: install python3-rpm for fclogr

* Tue Nov 26 2024 Maxwell G <maxwell@gtmx.me> - 0.4.0^2.20241126.500266d-1
- tools: update epel script to allow creating an EPEL 10 override

* Mon Oct 21 2024 Maxwell G <maxwell@gtmx.me> - 0.4.0^1.20241021.a920e70-1
- macros: adjust forge{auto,}setup macros to reflect current practice

* Fri Sep 27 2024 Maxwell G <maxwell@gtmx.me> - 0.4.0-1
- Update to 0.4.0.

* Wed Aug 7 2024 Maxwell G <maxwell@gtmx.me> - 0.3.2-1
- Update to 0.3.2.

* Wed Apr 10 2024 Maxwell G <maxwell@gtmx.me> - 0.3.1-1
- Update to 0.3.1.

* Sat Mar 2 2024 Maxwell G <maxwell@gtmx.me> - 0.3.0-1
- Update to 0.3.0.

* Thu Dec 7 2023 Maxwell G <maxwell@gtmx.me> - 0.2.0-1
- Update to 0.2.0.

* Mon Sep 4 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0-1
- Update to 0.1.0.

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.0.1-1
- Update to 0.0.1.
